-- 
-- Posterity 0.6dev-r132 - Mail filtering support
--
CREATE TABLE filter (
    enabled boolean NOT NULL,
    "to" text,
    from_ text,
    subject text,
    contains text,
    archive boolean NOT NULL,
    delete_ boolean NOT NULL,
    forward_to text,
    id serial NOT NULL,
    account_id integer NOT NULL,
    tag_id integer
);
ALTER TABLE ONLY filter
      ADD CONSTRAINT filter_pkey PRIMARY KEY (id);
CREATE INDEX ix_filter_account_id ON filter USING btree (account_id);
CREATE INDEX ix_filter_tag_id ON filter USING btree (tag_id);
ALTER TABLE ONLY filter ADD CONSTRAINT filter_account_id_fk 
      FOREIGN KEY (account_id) REFERENCES account(id);

ALTER TABLE ONLY filter ADD CONSTRAINT filter_tag_id_fk 
      FOREIGN KEY (tag_id) REFERENCES tag(id);
